Bug 462345 - split perl utilities out of evolution package to a sub package
split perl utilities out of evolution package to a sub package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraMini/Mobility
  Show dependency treegraph
 
Reported: 2008-09-15 11:35 EDT by Peter Robinson
Modified: 2008-09-25 11:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-25 11:58:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2008-09-15 11:35:40 EDT
There are two utilities (possibly plugins) in the evolution package that bring in an entire perl requirement. Those two utils are:
/usr/libexec/evolution/2.24/csv2vcard
/usr/libexec/evolution/2.24/evolution-addressbook-clean

I would be nice to be able to split them out to a separate evolution-perl package so that devices like netbooks (and the possible Fedora spins) don't necessarily need to pull in all of perl to have the evolution PIM as they often only have 2 gig of base flash (eg eeePC Surf 2G)
Comment 1 Matthew Barnes 2008-09-19 09:23:54 EDT
Evolution doesn't explicitly require Perl.  Those two utilities are considered supplemental, and are not required for the normal operation of Evolution.  So Perl would be a "suggested" package in Debian lingo.

That said, I see that Evolution /is/ dragging in Perl by some other requirement, but I'm not sure which.  There's spamassassin, but that's already split into a separate package.  There's autoconf and automake, but those are only build requirements.  I don't see any other likely candidates.

Is there a good way to search for this or display an RPM dependency tree?
Comment 2 Peter Robinson 2008-09-19 09:39:33 EDT
Hi Matthew,

My understanding of RPM (and it could well be wrong) is that if a file in an RPM is a perl file it will pull in perl by default. Hence by just having these files in the package the depsolve routine will pull in perl as a result. I've seen other packages in the past either remove the offending files to remove the dependency or move them to a sub package to move the dep down a level. The other way of bringing in a perl dep is in scripting in the actual spec itself.

Example of moving it to a sub package is ntp
Example of it in the spec file is docbook-dtds

I use 'rpm -qR package' to see what a specific package depends on.
There's also other options in this mailing list post 
http://www.redhat.com/archives/fedora-devel-list/2008-September/msg00001.html
Comment 3 Matthew Barnes 2008-09-25 11:58:24 EDT
Fixed in evolution-2.24.0-2.fc10.

  $ rpm -q --requires evolution | grep perl
  (no output)

  $ rpm -q --requires evolution-perl | grep perl
  /usr/bin/perl
  perl(Text::ParseWords)
  perl(diagnostics)
  perl(strict)

Note You need to log in before you can comment on or make changes to this bug.